mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.HMAC System.Runtime.InteropServices.ComVisible(true)

is a type of keyed hash algorithm that is constructed from the SHA1 hash function and used as an HMAC, or hash-based message authentication code. The HMAC process mixes a secret key with the message data, hashes the result with the hash function, mixes that hash value with the secret key again, and then applies the hash function a second time. The output hash is 160 bits in length.

An HMAC can be used to determine whether a message sent over an insecure channel has been tampered with, provided that the sender and receiver share a secret key. The sender computes the hash value for the original data and sends both the original data and hash value as a single message. The receiver recalculates the hash value on the received message and checks that the computed HMAC matches the transmitted HMAC.

Any change to the data or the hash value results in a mismatch, because knowledge of the secret key is required to change the message and reproduce the correct hash value. Therefore, if the original and computed hash values match, the message is authenticated.

The SHA-1 (Secure Hash Algorithm, also called SHS, Secure Hash Standard) is a cryptographic hash algorithm published by the United States Government. It produces a 160-bit hash value from an arbitrary length string.

accepts keys of any size, and produces a hash sequence that is 160 bits in length.

Computes a Hash-based Message Authentication Code (HMAC) using the hash function.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is a type of keyed hash algorithm that is constructed from the SHA1 hash function and used as an HMAC, or hash-based message authentication code. The HMAC process mixes a secret key with the message data, hashes the result with the hash function, mixes that hash value with the secret key again, and then applies the hash function a second time. The output hash is 160 bits (20 bytes) in length.

  This constructor uses a 64-byte, randomly generated key.

  Initializes a new instance of the class with a randomly generated key.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is a type of keyed hash algorithm that is constructed from the SHA1 hash function and used as an HMAC, or hash-based message authentication code. The HMAC process mixes a secret key with the message data, hashes the result with the hash function, mixes that hash value with the secret key again, and then applies the hash function a second time. The output hash is 160 bits (20 bytes) in length.

  This constructor creates an unmanaged instance of the algorithm by using the class.

  Initializes a new instance of the class with the specified key data.

  The secret key for encryption. The key can be any length, but if it is more than 64 bytes long it is hashed (using SHA-1) to derive a 64-byte key. Therefore, the recommended size of the secret key is 64 bytes.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified key data and a value that specifies whether to use the managed version of the SHA1 algorithm.

  The secret key for encryption. The key can be any length, but if it is more than 64 bytes long, it is hashed (using SHA-1) to derive a 64-byte key. Therefore, the recommended size of the secret key is 64 bytes.
  true to use the managed implementation of the SHA1 algorithm (the class); false to use the unmanaged implementation (the class).
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Byte[] To be added. To be added. To be added. 1.0.5000.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Property
  System.Byte[] To be added. To be added. To be added. 1.0.5000.0